Bug 733497 - gsview requires libgs.so.8, but updated fedora 15 builds include libgs.so.9
Summary: gsview requires libgs.so.8, but updated fedora 15 builds include libgs.so.9
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gsview
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 19:50 UTC by Bruce Heerssen
Modified: 2011-08-26 15:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 14:51:18 UTC


Attachments (Terms of Use)

Description Bruce Heerssen 2011-08-25 19:50:40 UTC
Description of problem:
gsview displays an error when trying to open ghostscript files

Version-Release number of selected component (if applicable):
GSview 4.9 2007-11-18

How reproducible:
Always

Steps to Reproduce:
1. open postscript file in gsview
2.
3.
  
Actual results:
Error message displayed
   GSview 4.9 2007-11-18
   play_sound: not implemented
   debug=0
   Failed to load libgs.so.8: libgs.so.8: cannot open shared object file: No such file or directory
   Can't load Ghostscript DLL

Expected results:
File opens with no error

Additional info:
linking libgs.so.9 to libgs.so.8 seems to fix the problem. On my system:
   cd /usr/lib64
   ln -s libgs.so.9 libgs.so.8

Comment 1 Rex Dieter 2011-08-26 14:51:18 UTC
fyi, gsview is not hosted @ fedora, it is nonfree software.

Perhaps you're seeing this?
https://bugzilla.rpmfusion.org/show_bug.cgi?id=1737
(which was supposedly fixed, what version of gsview are you using? feel free to followup @ rpmfusion...)

Comment 2 Rex Dieter 2011-08-26 14:53:21 UTC
and, another (arguably better) workaround than symlinking shlibs, is

options -> advanced configure  and manually set the "Ghostscript shared object" to the correct value for your system.

Comment 3 Bruce Heerssen 2011-08-26 14:57:15 UTC
Thank you for your response. That does indeed look like the same issue. I presume the fix will propagate to stable in due time. Also thanks for the tip.

Comment 4 Rex Dieter 2011-08-26 15:02:05 UTC
Just checked, I see the fixed gsview-4.9-3.fc15 the rpmfusion-nonfree repo already.

Comment 5 Bruce Heerssen 2011-08-26 15:07:17 UTC
Nice. That was fast. I'll wait for it to come along with my regular updates, since the workaround is viable. Thanks again, Rex.


Note You need to log in before you can comment on or make changes to this bug.